Name:           ocamlduce
Version:        3.12.0.0
Release:        %mkrel 1
Summary:        A merger between OCaml and CDuce
License:        QPL & LGPL & MIT
Group:          Development/Other
URL:            http://ocamlduce.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/225/ocamlduce-%{version}.tar.gz
Patch1:         ocamlduce-3.11.1.0.src-as-dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-sources
BuildRequires:  ocaml-findlib

%description
OCamlDuce is a merger between OCaml and CDuce. It comes as a modified
version of OCaml which integrates CDuce features: XML expressions,
regular expression types and patterns, iterators. The licensing conditions
for OCaml and CDuce apply to the files directly derived from these projects.
Other files are distributed under a choice of any of two licenses used for
OCaml (with the same exceptions).

%prep
%setup -q
%patch1 -p1

%build
make prepare OCAML_SOURCE=/usr/src/ocaml/ OCAML_SRCDIR=ocaml
(cd ocaml/ && ./configure -bindir %{_bindir} -libdir %{_libdir}/ocaml -mandir %{_mandir}/man1 \
           && make -f Makefile.ocamlduce world.opt)

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
cd ocaml/ && make installbyte installopt -f Makefile.ocamlduce \
               LIBDIR=%{buildroot}%{_libdir}/ocaml \
               BINDIR=%{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README Changes
%{_bindir}/*
%dir %{_libdir}/ocaml/ocamlduce
%{_libdir}/ocaml/ocamlduce/*



%changelog
* Thu Jan 27 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.12.0.0-1mdv2011.0
+ Revision: 633227
- new release: 3.12.0.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Tue Sep 08 2009 Florent Monnier <blue_prawn@mandriva.org> 3.11.1.0-1mdv2010.0
+ Revision: 434269
- fixed configure
- added the Changes file
- new version

* Tue Nov 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.10.2-1mdv2009.1
+ Revision: 302282
- update to new version 3.10.2

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 3.10.0-3mdv2009.0
+ Revision: 254258
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.10.0-1mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 19 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.10.0-1mdv2008.0
+ Revision: 41228
- fix url
- fix buildrequires
- Import ocamlduce

